## org.dom4j
Class DocumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.dom4j.DocumentException

All Implemented Interfaces:
  Serializable

public class DocumentException
extends Exception

`DocumentException` is a nested Exception which may be thrown during the processing of a DOM4J document.

Version:
  $Revision: 1.7 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`DocumentException()`
`DocumentException(String message)`
`DocumentException(String message, Throwable nestedException)`
`DocumentException(Throwable nestedException)`

Method Summary
`String` `getMessage()`
`Throwable` `getNestedException()`
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream out)`
`void` `printStackTrace(PrintWriter writer)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentException

    public DocumentException()

### DocumentException

    public DocumentException(String message)

### DocumentException

    public DocumentException(Throwable nestedException)

### DocumentException

    public DocumentException(String message,
                             Throwable nestedException)

Method Detail

### getNestedException

    public Throwable getNestedException()

### getMessage

    public String getMessage()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(PrintStream out)

### printStackTrace

    public void printStackTrace(PrintWriter writer)

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.